OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.NV.ConditionalRender

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_conditional_render extension, see http://www.opengl.org/registry/specs/NV/conditional_render.txt.

Synopsis

- glBeginConditionalRender :: GLuint -> GLenum -> IO ()
- glEndConditionalRender :: IO ()
- gl_QUERY_WAIT :: GLenum
- gl_QUERY_NO_WAIT :: GLenum
- gl_QUERY_BY_REGION_WAIT :: GLenum
- gl_QUERY_BY_REGION_NO_WAIT :: GLenum

# Functions

glBeginConditionalRender :: GLuint -> GLenum -> IO ()

glEndConditionalRender :: IO ()

# Tokens

gl_QUERY_WAIT :: GLenum

gl_QUERY_NO_WAIT :: GLenum

gl_QUERY_BY_REGION_WAIT :: GLenum

gl_QUERY_BY_REGION_NO_WAIT :: GLenum